Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
[Java] Class ConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.control.ConfigurationException

All Implemented Interfaces:
  GroovyExceptionInterface

    public class ConfigurationException
    extends RuntimeException

Thrown when configuration data is invalid.

Authors:
  Chris Poirier

Version:
  \$Id: ConfigurationException.java 10493 2008-01-19 10:23:02Z russel \$

Field Summary
`protected Exception` | `cause`

Constructor Summary
`ConfigurationException(Exception cause)` Initializes the exception from a cause exception.
`ConfigurationException(String message)` Initializes the exception with just a message.

Method Summary
`Throwable` | `getCause()` Returns the causing exception, if available.
`boolean` | `isFatal()` Its always fatal.
`void` | `setFatal(boolean fatal)` Set fatal is just ignored.

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### cause

    protected Exception cause

Constructor Detail

### ConfigurationException

    public ConfigurationException(Exception cause)

  Initializes the exception from a cause exception.

### ConfigurationException

    public ConfigurationException(String message)

  Initializes the exception with just a message.

Method Detail

### getCause

    public Throwable getCause()

  Returns the causing exception, if available.

### isFatal

    public boolean isFatal()

  Its always fatal.

### setFatal

    public void setFatal(boolean fatal)

  Set fatal is just ignored.

Copyright © 2003-2010 The Codehaus. All rights reserved.